#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioListener = 379,
  AudioNode = 393,
  AudioParam = 403,
  AudioParamMap = 414,
  AudioProcessingEvent = 428,
  AudioScheduledSourceNode = 449,
  AudioTrack = 474,
  AudioTrackList = 485,
  AudioWorklet = 500,
  AudioWorkletGlobalScope = 513,
  AudioWorkletNode = 537,
  AudioWorkletProcessor = 554,
  AuthenticatorAssertionResponse = 576,
  AuthenticatorAttestationResponse = 607,
  AuthenticatorResponse = 640,
  BarProp = 662,
  BaseAudioContext = 670,
  BatteryManager = 687,
  BeforeUnloadEvent = 702,
  BiquadFilterNode = 720,
  Blob = 737,
  BlobEvent = 742,
  BroadcastChannel = 752,
  BrowsingContext = 769,
  BrowsingContextGroup = 785,
  ByteLengthQueuingStrategy = 806,
  CDATASection = 832,
  CSS = 845,
  CSS2Properties = 849,
  CSSAnimation = 864,
  CSSConditionRule = 877,
  CSSContainerRule = 894,
  CSSCounterStyleRule = 911,
  CSSCustomPropertyRegisteredEvent = 931,
  CSSFontFaceRule = 964,
  CSSFontFeatureValuesRule = 980,
  CSSFontPaletteValuesRule = 1005,
  CSSGroupingRule = 1030,
  CSSImportRule = 1046,
  CSSKeyframeRule = 1060,
  CSSKeyframesRule = 1076,
  CSSLayerBlockRule = 1093,
  CSSLayerStatementRule = 1111,
  CSSMediaRule = 1133,
  CSSMozDocumentRule = 1146,
  CSSNamespaceRule = 1165,
  CSSPageRule = 1182,
  CSSPropertyRule = 1194,
  CSSPseudoElement = 1210,
  CSSRule = 1227,
  CSSRuleList = 1235,
  CSSStyleDeclaration = 1247,
  CSSStyleRule = 1267,
  CSSStyleSheet = 1280,
  CSSSupportsRule = 1294,
  CSSTransition = 1310,
  Cache = 1324,
  CacheStorage = 1330,
  CallbackDebuggerNotification = 1343,
  CanonicalBrowsingContext = 1372,
  CanvasCaptureMediaStream = 1397,
  CanvasGradient = 1422,
  CanvasPattern = 1437,
  CanvasRenderingContext2D = 1451,
  CaretPosition = 1476,
  CaretStateChangedEvent = 1490,
  ChannelMergerNode = 1513,
  ChannelSplitterNode = 1531,
  ChannelWrapper = 1551,
  CharacterData = 1566,
  CheckerboardReportService = 1580,
  ChildProcessMessageManager = 1606,
  ChildSHistory = 1633,
  ChromeMessageBroadcaster = 1647,
  ChromeMessageSender = 1672,
  ChromeNodeList = 1692,
  ChromeUtils = 1707,
  ChromeWorker = 1719,
  Client = 1732,
  Clients = 1739,
  Clipboard = 1747,
  ClipboardEvent = 1757,
  ClipboardItem = 1772,
  ClonedErrorHolder = 1786,
  CloseEvent = 1804,
  CommandEvent = 1815,
  Comment = 1828,
  CompositionEvent = 1836,
  CompressionStream = 1853,
  ConsoleInstance = 1871,
  ConstantSourceNode = 1887,
  ContentFrameMessageManager = 1906,
  ContentProcessMessageManager = 1933,
  ContentVisibilityAutoStateChangeEvent = 1962,
  ConvolverNode = 2000,
  CountQueuingStrategy = 2014,
  CreateOfferRequest = 2035,
  Credential = 2054,
  CredentialsContainer = 2065,
  Crypto = 2086,
  CryptoKey = 2093,
  CustomElementRegistry = 2103,
  CustomEvent = 2125,
  CustomStateSet = 2137,
  DOMException = 2152,
  DOMImplementation = 2165,
  DOMLocalization = 2183,
  DOMMatrix = 2199,
  DOMMatrixReadOnly = 2209,
  DOMParser = 2227,
  DOMPoint = 2237,
  DOMPointReadOnly = 2246,
  DOMQuad = 2263,
  DOMRect = 2271,
  DOMRectList = 2279,
  DOMRectReadOnly = 2291,
  DOMStringList = 2307,
  DOMStringMap = 2321,
  DOMTokenList = 2334,
  DataTransfer = 2347,
  DataTransferItem = 2360,
  DataTransferItemList = 2377,
  DebuggerNotification = 2398,
  DebuggerNotificationObserver = 2419,
  DecompressionStream = 2448,
  DedicatedWorkerGlobalScope = 2468,
  DelayNode = 2495,
  DeprecationReportBody = 2505,
  DeviceAcceleration = 2527,
  DeviceLightEvent = 2546,
  DeviceMotionEvent = 2563,
  DeviceOrientationEvent = 2581,
  DeviceRotationRate = 2604,
  Directory = 2623,
  Document = 2633,
  DocumentFragment = 2642,
  DocumentL10n = 2659,
  DocumentTimeline = 2672,
  DocumentType = 2689,
  DominatorTree = 2702,
  DragEvent = 2716,
  DynamicsCompressorNode = 2726,
  EXT_blend_minmax = 2749,
  EXT_color_buffer_float = 2766,
  EXT_color_buffer_half_float = 2789,
  EXT_disjoint_timer_query = 2817,
  EXT_float_blend = 2842,
  EXT_frag_depth = 2858,
  EXT_sRGB = 2873,
  EXT_shader_texture_lod = 2882,
  EXT_texture_compression_bptc = 2905,
  EXT_texture_compression_rgtc = 2934,
  EXT_texture_filter_anisotropic = 2963,
  EXT_texture_norm16 = 2994,
  Element = 3013,
  ElementInternals = 3021,
  EncodedAudioChunk = 3038,
  EncodedVideoChunk = 3056,
  ErrorEvent = 3074,
  Event = 3085,
  EventCallbackDebuggerNotification = 3091,
  EventCounts = 3125,
  EventSource = 3137,
  EventTarget = 3149,
  Exception = 3161,
  ExtendableEvent = 3171,
  ExtendableMessageEvent = 3187,
  ExtensionAlarms = 3210,
  ExtensionBrowser = 3226,
  ExtensionBrowserSettings = 3243,
  ExtensionBrowserSettingsColorManagement = 3268,
  ExtensionDns = 3308,
  ExtensionEventManager = 3321,
  ExtensionMockAPI = 3343,
  ExtensionPort = 3360,
  ExtensionProxy = 3374,
  ExtensionRuntime = 3389,
  ExtensionScripting = 3406,
  ExtensionSetting = 3425,
  ExtensionTest = 3442,
  External = 3456,
  FeaturePolicy = 3465,
  FeaturePolicyViolationReportBody = 3479,
  FetchEvent = 3512,
  FetchObserver = 3523,
  File = 3537,
  FileList = 3542,
  FileReader = 3551,
  FileReaderSync = 3562,
  FileSystem = 3577,
  FileSystemDirectoryEntry = 3588,
  FileSystemDirectoryHandle = 3613,
  FileSystemDirectoryHandle_AsyncIterator = 3639,
  FileSystemDirectoryIterator = 3679,
  FileSystemDirectoryReader = 3707,
  FileSystemEntry = 3733,
  FileSystemFileEntry = 3749,
  FileSystemFileHandle = 3769,
  FileSystemHandle = 3790,
  FileSystemSyncAccessHandle = 3807,
  FileSystemWritableFileStream = 3834,
  Flex = 3863,
  FlexItemValues = 3868,
  FlexLineValues = 3883,
  FluentBundle = 3898,
  FluentBundleAsyncIterator = 3911,
  FluentBundleIterator = 3937,
  FluentPattern = 3958,
  FluentResource = 3972,
  FocusEvent = 3987,
  FontFace = 3998,
  FontFaceSet = 4007,
  FontFaceSetIterator = 4019,
  FontFaceSetLoadEvent = 4039,
  FormData = 4060,
  FormData_Iterator = 4069,
  FormDataEvent = 4087,
  FrameCrashedEvent = 4101,
  FrameLoader = 4119,
  GPU = 4131,
  GPUAdapter = 4135,
  GPUAdapterInfo = 4146,
  GPUBindGroup = 4161,
  GPUBindGroupLayout = 4174,
  GPUBuffer = 4193,
  GPUBufferUsage = 4203,
  GPUCanvasContext = 4218,
  GPUColorWrite = 4235,
  GPUCommandBuffer = 4249,
  GPUCommandEncoder = 4266,
  GPUCompilationInfo = 4284,
  GPUCompilationMessage = 4303,
  GPUComputePassEncoder = 4325,
  GPUComputePipeline = 4347,
  GPUDevice = 4366,
  GPUDeviceLostInfo = 4376,
  GPUError = 4394,
  GPUInternalError = 4403,
  GPUMapMode = 4420,
  GPUOutOfMemoryError = 4431,
  GPUPipelineLayout = 4451,
  GPUQuerySet = 4469,
  GPUQueue = 4481,
  GPURenderBundle = 4490,
  GPURenderBundleEncoder = 4506,
  GPURenderPassEncoder = 4529,
  GPURenderPipeline = 4550,
  GPUSampler = 4568,
  GPUShaderModule = 4579,
  GPUShaderStage = 4595,
  GPUSupportedFeatures = 4610,
  GPUSupportedLimits = 4631,
  GPUTexture = 4650,
  GPUTextureUsage = 4661,
  GPUTextureView = 4677,
  GPUUncapturedErrorEvent = 4692,
  GPUValidationError = 4716,
  GainNode = 4735,
  Gamepad = 4744,
  GamepadAxisMoveEvent = 4752,
  GamepadButton = 4773,
  GamepadButtonEvent = 4787,
  GamepadEvent = 4806,
  GamepadHapticActuator = 4819,
  GamepadLightIndicator = 4841,
  GamepadPose = 4863,
  GamepadServiceTest = 4875,
  GamepadTouch = 4894,
  Geolocation = 4907,
  GeolocationCoordinates = 4919,
  GeolocationPosition = 4942,
  GeolocationPositionError = 4962,
  GetUserMediaRequest = 4987,
  GleanBoolean = 5007,
  GleanCategory = 5020,
  GleanCounter = 5034,
  GleanCustomDistribution = 5047,
  GleanDatetime = 5071,
  GleanDenominator = 5085,
  GleanEvent = 5102,
  GleanImpl = 5113,
  GleanLabeled = 5123,
  GleanMemoryDistribution = 5136,
  GleanMetric = 5160,
  GleanNumerator = 5172,
  GleanObject = 5187,
  GleanPingsImpl = 5199,
  GleanQuantity = 5214,
  GleanRate = 5228,
  GleanString = 5238,
  GleanStringList = 5250,
  GleanText = 5266,
  GleanTimespan = 5276,
  GleanTimingDistribution = 5290,
  GleanUrl = 5314,
  GleanUuid = 5323,
  Grid = 5333,
  GridArea = 5338,
  GridDimension = 5347,
  GridLine = 5361,
  GridLines = 5370,
  GridTrack = 5380,
  GridTracks = 5390,
  HTMLAllCollection = 5401,
  HTMLAnchorElement = 5419,
  HTMLAreaElement = 5437,
  HTMLAudioElement = 5453,
  HTMLBRElement = 5470,
  HTMLBaseElement = 5484,
  HTMLBodyElement = 5500,
  HTMLButtonElement = 5516,
  HTMLCanvasElement = 5534,
  HTMLCollection = 5552,
  HTMLDListElement = 5567,
  HTMLDataElement = 5584,
  HTMLDataListElement = 5600,
  HTMLDetailsElement = 5620,
  HTMLDialogElement = 5639,
  HTMLDirectoryElement = 5657,
  HTMLDivElement = 5678,
  HTMLDocument = 5693,
  HTMLElement = 5706,
  HTMLEmbedElement = 5718,
  HTMLFieldSetElement = 5735,
  HTMLFontElement = 5755,
  HTMLFormControlsCollection = 5771,
  HTMLFormElement = 5798,
  HTMLFrameElement = 5814,
  HTMLFrameSetElement = 5831,
  HTMLHRElement = 5851,
  HTMLHeadElement = 5865,
  HTMLHeadingElement = 5881,
  HTMLHtmlElement = 5900,
  HTMLIFrameElement = 5916,
  HTMLImageElement = 5934,
  HTMLInputElement = 5951,
  HTMLLIElement = 5968,
  HTMLLabelElement = 5982,
  HTMLLegendElement = 5999,
  HTMLLinkElement = 6017,
  HTMLMapElement = 6033,
  HTMLMarqueeElement = 6048,
  HTMLMediaElement = 6067,
  HTMLMenuElement = 6084,
  HTMLMetaElement = 6100,
  HTMLMeterElement = 6116,
  HTMLModElement = 6133,
  HTMLOListElement = 6148,
  HTMLObjectElement = 6165,
  HTMLOptGroupElement = 6183,
  HTMLOptionElement = 6203,
  HTMLOptionsCollection = 6221,
  HTMLOutputElement = 6243,
  HTMLParagraphElement = 6261,
  HTMLParamElement = 6282,
  HTMLPictureElement = 6299,
  HTMLPreElement = 6318,
  HTMLProgressElement = 6333,
  HTMLQuoteElement = 6353,
  HTMLScriptElement = 6370,
  HTMLSelectElement = 6388,
  HTMLSlotElement = 6406,
  HTMLSourceElement = 6422,
  HTMLSpanElement = 6440,
  HTMLStyleElement = 6456,
  HTMLTableCaptionElement = 6473,
  HTMLTableCellElement = 6497,
  HTMLTableColElement = 6518,
  HTMLTableElement = 6538,
  HTMLTableRowElement = 6555,
  HTMLTableSectionElement = 6575,
  HTMLTemplateElement = 6599,
  HTMLTextAreaElement = 6619,
  HTMLTimeElement = 6639,
  HTMLTitleElement = 6655,
  HTMLTrackElement = 6672,
  HTMLUListElement = 6689,
  HTMLUnknownElement = 6706,
  HTMLVideoElement = 6725,
  HashChangeEvent = 6742,
  Headers = 6758,
  Headers_Iterator = 6766,
  HeapSnapshot = 6783,
  Highlight = 6796,
  HighlightRegistry = 6806,
  History = 6824,
  IDBCursor = 6832,
  IDBCursorWithValue = 6842,
  IDBDatabase = 6861,
  IDBFactory = 6873,
  IDBIndex = 6884,
  IDBKeyRange = 6893,
  IDBObjectStore = 6905,
  IDBOpenDBRequest = 6920,
  IDBRequest = 6937,
  IDBTransaction = 6948,
  IDBVersionChangeEvent = 6963,
  IIRFilterNode = 6985,
  IOUtils = 6999,
  IdentityCredential = 7007,
  IdleDeadline = 7026,
  Image = 7039,
  ImageBitmap = 7045,
  ImageBitmapRenderingContext = 7057,
  ImageCapture = 7085,
  ImageCaptureError = 7098,
  ImageCaptureErrorEvent = 7116,
  ImageData = 7139,
  ImageDocument = 7149,
  InputEvent = 7163,
  InspectorFontFace = 7174,
  InspectorUtils = 7192,
  InstallTriggerImpl = 7207,
  IntersectionObserver = 7226,
  IntersectionObserverEntry = 7247,
  IntlUtils = 7273,
  InvokeEvent = 7283,
  JSProcessActorChild = 7295,
  JSProcessActorParent = 7315,
  JSWindowActorChild = 7336,
  JSWindowActorParent = 7355,
  KeyEvent = 7375,
  KeyboardEvent = 7384,
  KeyframeEffect = 7398,
  L10nFileSource = 7413,
  L10nOverlays = 7428,
  L10nRegistry = 7441,
  LargestContentfulPaint = 7454,
  LegacyMozTCPSocket = 7477,
  Localization = 7496,
  Location = 7509,
  Lock = 7518,
  LockManager = 7523,
  MIDIAccess = 7535,
  MIDIConnectionEvent = 7546,
  MIDIInput = 7566,
  MIDIInputMap = 7576,
  MIDIMessageEvent = 7589,
  MIDIOutput = 7606,
  MIDIOutputMap = 7617,
  MIDIPort = 7631,
  MOZ_debug = 7640,
  MatchGlob = 7650,
  MatchPattern = 7660,
  MatchPatternSet = 7673,
  MathMLElement = 7689,
  MediaCapabilities = 7703,
  MediaCapabilitiesInfo = 7721,
  MediaControlService = 7743,
  MediaController = 7763,
  MediaDeviceInfo = 7779,
  MediaDevices = 7795,
  MediaElementAudioSourceNode = 7808,
  MediaEncryptedEvent = 7836,
  MediaError = 7856,
  MediaKeyError = 7867,
  MediaKeyMessageEvent = 7881,
  MediaKeySession = 7902,
  MediaKeyStatusMap = 7918,
  MediaKeyStatusMap_Iterator = 7936,
  MediaKeySystemAccess = 7963,
  MediaKeys = 7984,
  MediaList = 7994,
  MediaMetadata = 8004,
  MediaQueryList = 8018,
  MediaQueryListEvent = 8033,
  MediaRecorder = 8053,
  MediaRecorderErrorEvent = 8067,
  MediaSession = 8091,
  MediaSource = 8104,
  MediaStream = 8116,
  MediaStreamAudioDestinationNode = 8128,
  MediaStreamAudioSourceNode = 8160,
  MediaStreamError = 8187,
  MediaStreamEvent = 8204,
  MediaStreamTrack = 8221,
  MediaStreamTrackAudioSourceNode = 8238,
  MediaStreamTrackEvent = 8270,
  MerchantValidationEvent = 8292,
  MessageBroadcaster = 8316,
  MessageChannel = 8335,
  MessageEvent = 8350,
  MessageListenerManager = 8363,
  MessagePort = 8386,
  MessageSender = 8398,
  MimeType = 8412,
  MimeTypeArray = 8421,
  MouseEvent = 8435,
  MouseScrollEvent = 8446,
  MozCanvasPrintState = 8463,
  MozDocumentMatcher = 8483,
  MozDocumentObserver = 8502,
  MozQueryInterface = 8522,
  MozSharedMap = 8540,
  MozSharedMap_Iterator = 8553,
  MozSharedMapChangeEvent = 8575,
  MozStorageAsyncStatementParams = 8599,
  MozStorageStatementParams = 8630,
  MozStorageStatementRow = 8656,
  MozWritableSharedMap = 8679,
  MutationEvent = 8700,
  MutationObserver = 8714,
  MutationRecord = 8731,
  NamedNodeMap = 8746,
  NavigationPreloadManager = 8759,
  Navigator = 8784,
  NetworkInformation = 8794,
  Node = 8813,
  NodeFilter = 8818,
  NodeIterator = 8829,
  NodeList = 8842,
  Notification = 8851,
  NotificationEvent = 8864,
  NotifyPaintEvent = 8882,
  OES_draw_buffers_indexed = 8899,
  OES_element_index_uint = 8924,
  OES_fbo_render_mipmap = 8947,
  OES_standard_derivatives = 8969,
  OES_texture_float = 8994,
  OES_texture_float_linear = 9012,
  OES_texture_half_float = 9037,
  OES_texture_half_float_linear = 9060,
  OES_vertex_array_object = 9090,
  OVR_multiview2 = 9114,
  OfflineAudioCompletionEvent = 9129,
  OfflineAudioContext = 9157,
  OffscreenCanvas = 9177,
  OffscreenCanvasRenderingContext2D = 9193,
  Option = 9227,
  OscillatorNode = 9234,
  PageTransitionEvent = 9249,
  PaintRequest = 9269,
  PaintRequestList = 9282,
  PaintWorkletGlobalScope = 9299,
  PannerNode = 9323,
  ParentProcessMessageManager = 9334,
  Path2D = 9362,
  PathUtils = 9369,
  PaymentAddress = 9379,
  PaymentMethodChangeEvent = 9394,
  PaymentRequest = 9419,
  PaymentRequestUpdateEvent = 9434,
  PaymentResponse = 9460,
  PeerConnectionImpl = 9476,
  PeerConnectionObserver = 9495,
  Performance = 9518,
  PerformanceEntry = 9530,
  PerformanceEntryEvent = 9547,
  PerformanceEventTiming = 9569,
  PerformanceMark = 9592,
  PerformanceMeasure = 9608,
  PerformanceNavigation = 9627,
  PerformanceNavigationTiming = 9649,
  PerformanceObserver = 9677,
  PerformanceObserverEntryList = 9697,
  PerformancePaintTiming = 9726,
  PerformanceResourceTiming = 9749,
  PerformanceServerTiming = 9775,
  PerformanceTiming = 9799,
  PeriodicWave = 9817,
  PermissionStatus = 9830,
  Permissions = 9847,
  PlacesBookmark = 9859,
  PlacesBookmarkAddition = 9874,
  PlacesBookmarkChanged = 9897,
  PlacesBookmarkGuid = 9919,
  PlacesBookmarkKeyword = 9938,
  PlacesBookmarkMoved = 9960,
  PlacesBookmarkRemoved = 9980,
  PlacesBookmarkTags = 10002,
  PlacesBookmarkTime = 10021,
  PlacesBookmarkTitle = 10040,
  PlacesBookmarkUrl = 10060,
  PlacesEvent = 10078,
  PlacesFavicon = 10090,
  PlacesHistoryCleared = 10104,
  PlacesObservers = 10125,
  PlacesPurgeCaches = 10141,
  PlacesRanking = 10159,
  PlacesVisit = 10173,
  PlacesVisitRemoved = 10185,
  PlacesVisitTitle = 10204,
  PlacesWeakCallbackWrapper = 10221,
  Plugin = 10247,
  PluginArray = 10254,
  PluginCrashedEvent = 10266,
  PointerEvent = 10285,
  PopStateEvent = 10298,
  PopupBlockedEvent = 10312,
  PopupPositionedEvent = 10330,
  PositionStateEvent = 10351,
  PrecompiledScript = 10370,
  ProcessMessageManager = 10388,
  ProcessingInstruction = 10410,
  ProgressEvent = 10432,
  PromiseDebugging = 10446,
  PromiseNativeHandler = 10463,
  PromiseRejectionEvent = 10484,
  PublicKeyCredential = 10506,
  PushEvent = 10526,
  PushManager = 10536,
  PushManagerImpl = 10548,
  PushMessageData = 10564,
  PushSubscription = 10580,
  PushSubscriptionOptions = 10597,
  RTCCertificate = 10621,
  RTCDTMFSender = 10636,
  RTCDTMFToneChangeEvent = 10650,
  RTCDataChannel = 10673,
  RTCDataChannelEvent = 10688,
  RTCDtlsTransport = 10708,
  RTCEncodedAudioFrame = 10725,
  RTCEncodedVideoFrame = 10746,
  RTCIceCandidate = 10767,
  RTCIceTransport = 10783,
  RTCIdentityProviderRegistrar = 10799,
  RTCPeerConnection = 10828,
  RTCPeerConnectionIceEvent = 10846,
  RTCPeerConnectionStatic = 10872,
  RTCRtpReceiver = 10896,
  RTCRtpScriptTransform = 10911,
  RTCRtpScriptTransformer = 10933,
  RTCRtpSender = 10957,
  RTCRtpTransceiver = 10970,
  RTCSctpTransport = 10988,
  RTCSessionDescription = 11005,
  RTCStatsReport = 11027,
  RTCTrackEvent = 11042,
  RTCTransformEvent = 11056,
  RadioNodeList = 11074,
  Range = 11088,
  ReadableByteStreamController = 11094,
  ReadableStream = 11123,
  ReadableStream_AsyncIterator = 11138,
  ReadableStreamBYOBReader = 11167,
  ReadableStreamBYOBRequest = 11192,
  ReadableStreamDefaultController = 11218,
  ReadableStreamDefaultReader = 11250,
  Report = 11278,
  ReportBody = 11285,
  ReportingObserver = 11296,
  Request = 11314,
  ResizeObserver = 11322,
  ResizeObserverEntry = 11337,
  ResizeObserverSize = 11357,
  Response = 11376,
  SVGAElement = 11385,
  SVGAngle = 11397,
  SVGAnimateElement = 11406,
  SVGAnimateMotionElement = 11424,
  SVGAnimateTransformElement = 11448,
  SVGAnimatedAngle = 11475,
  SVGAnimatedBoolean = 11492,
  SVGAnimatedEnumeration = 11511,
  SVGAnimatedInteger = 11534,
  SVGAnimatedLength = 11553,
  SVGAnimatedLengthList = 11571,
  SVGAnimatedNumber = 11593,
  SVGAnimatedNumberList = 11611,
  SVGAnimatedPreserveAspectRatio = 11633,
  SVGAnimatedRect = 11664,
  SVGAnimatedString = 11680,
  SVGAnimatedTransformList = 11698,
  SVGAnimationElement = 11723,
  SVGCircleElement = 11743,
  SVGClipPathElement = 11760,
  SVGComponentTransferFunctionElement = 11779,
  SVGDefsElement = 11815,
  SVGDescElement = 11830,
  SVGElement = 11845,
  SVGEllipseElement = 11856,
  SVGFEBlendElement = 11874,
  SVGFEColorMatrixElement = 11892,
  SVGFEComponentTransferElement = 11916,
  SVGFECompositeElement = 11946,
  SVGFEConvolveMatrixElement = 11968,
  SVGFEDiffuseLightingElement = 11995,
  SVGFEDisplacementMapElement = 12023,
  SVGFEDistantLightElement = 12051,
  SVGFEDropShadowElement = 12076,
  SVGFEFloodElement = 12099,
  SVGFEFuncAElement = 12117,
  SVGFEFuncBElement = 12135,
  SVGFEFuncGElement = 12153,
  SVGFEFuncRElement = 12171,
  SVGFEGaussianBlurElement = 12189,
  SVGFEImageElement = 12214,
  SVGFEMergeElement = 12232,
  SVGFEMergeNodeElement = 12250,
  SVGFEMorphologyElement = 12272,
  SVGFEOffsetElement = 12295,
  SVGFEPointLightElement = 12314,
  SVGFESpecularLightingElement = 12337,
  SVGFESpotLightElement = 12366,
  SVGFETileElement = 12388,
  SVGFETurbulenceElement = 12405,
  SVGFilterElement = 12428,
  SVGForeignObjectElement = 12445,
  SVGGElement = 12469,
  SVGGeometryElement = 12481,
  SVGGradientElement = 12500,
  SVGGraphicsElement = 12519,
  SVGImageElement = 12538,
  SVGLength = 12554,
  SVGLengthList = 12564,
  SVGLineElement = 12578,
  SVGLinearGradientElement = 12593,
  SVGMPathElement = 12618,
  SVGMarkerElement = 12634,
  SVGMaskElement = 12651,
  SVGMatrix = 12666,
  SVGMetadataElement = 12676,
  SVGNumber = 12695,
  SVGNumberList = 12705,
  SVGPathElement = 12719,
  SVGPathSeg = 12734,
  SVGPathSegArcAbs = 12745,
  SVGPathSegArcRel = 12762,
  SVGPathSegClosePath = 12779,
  SVGPathSegCurvetoCubicAbs = 12799,
  SVGPathSegCurvetoCubicRel = 12825,
  SVGPathSegCurvetoCubicSmoothAbs = 12851,
  SVGPathSegCurvetoCubicSmoothRel = 12883,
  SVGPathSegCurvetoQuadraticAbs = 12915,
  SVGPathSegCurvetoQuadraticRel = 12945,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12975,
  SVGPathSegCurvetoQuadraticSmoothRel = 13011,
  SVGPathSegLinetoAbs = 13047,
  SVGPathSegLinetoHorizontalAbs = 13067,
  SVGPathSegLinetoHorizontalRel = 13097,
  SVGPathSegLinetoRel = 13127,
  SVGPathSegLinetoVerticalAbs = 13147,
  SVGPathSegLinetoVerticalRel = 13175,
  SVGPathSegList = 13203,
  SVGPathSegMovetoAbs = 13218,
  SVGPathSegMovetoRel = 13238,
  SVGPatternElement = 13258,
  SVGPoint = 13276,
  SVGPointList = 13285,
  SVGPolygonElement = 13298,
  SVGPolylineElement = 13316,
  SVGPreserveAspectRatio = 13335,
  SVGRadialGradientElement = 13358,
  SVGRect = 13383,
  SVGRectElement = 13391,
  SVGSVGElement = 13406,
  SVGScriptElement = 13420,
  SVGSetElement = 13437,
  SVGStopElement = 13451,
  SVGStringList = 13466,
  SVGStyleElement = 13480,
  SVGSwitchElement = 13496,
  SVGSymbolElement = 13513,
  SVGTSpanElement = 13530,
  SVGTextContentElement = 13546,
  SVGTextElement = 13568,
  SVGTextPathElement = 13583,
  SVGTextPositioningElement = 13602,
  SVGTitleElement = 13628,
  SVGTransform = 13644,
  SVGTransformList = 13657,
  SVGUnitTypes = 13674,
  SVGUseElement = 13687,
  SVGViewElement = 13701,
  Sanitizer = 13716,
  Scheduler = 13726,
  Screen = 13736,
  ScreenLuminance = 13743,
  ScreenOrientation = 13759,
  ScriptProcessorNode = 13777,
  ScrollAreaEvent = 13797,
  ScrollViewChangeEvent = 13813,
  SecurityPolicyViolationEvent = 13835,
  Selection = 13864,
  ServiceWorker = 13874,
  ServiceWorkerContainer = 13888,
  ServiceWorkerGlobalScope = 13911,
  ServiceWorkerRegistration = 13936,
  SessionStoreFormData = 13962,
  SessionStoreScrollData = 13983,
  SessionStoreUtils = 14006,
  ShadowRealmGlobalScope = 14024,
  ShadowRoot = 14047,
  SharedWorker = 14058,
  SharedWorkerGlobalScope = 14071,
  SimpleGestureEvent = 14095,
  SourceBuffer = 14114,
  SourceBufferList = 14127,
  SpeechGrammar = 14144,
  SpeechGrammarList = 14158,
  SpeechRecognition = 14176,
  SpeechRecognitionAlternative = 14194,
  SpeechRecognitionError = 14223,
  SpeechRecognitionEvent = 14246,
  SpeechRecognitionResult = 14269,
  SpeechRecognitionResultList = 14293,
  SpeechSynthesis = 14321,
  SpeechSynthesisErrorEvent = 14337,
  SpeechSynthesisEvent = 14363,
  SpeechSynthesisUtterance = 14384,
  SpeechSynthesisVoice = 14409,
  StaticRange = 14430,
  StereoPannerNode = 14442,
  Storage = 14459,
  StorageEvent = 14467,
  StorageManager = 14480,
  StreamFilter = 14495,
  StreamFilterDataEvent = 14508,
  StructuredCloneHolder = 14530,
  StructuredCloneTester = 14552,
  StyleSheet = 14574,
  StyleSheetApplicableStateChangeEvent = 14585,
  StyleSheetList = 14622,
  StyleSheetRemovedEvent = 14637,
  SubmitEvent = 14660,
  SubtleCrypto = 14672,
  SyncMessageSender = 14685,
  SyncReadFile = 14703,
  TCPServerSocket = 14716,
  TCPServerSocketEvent = 14732,
  TCPSocket = 14753,
  TCPSocketErrorEvent = 14763,
  TCPSocketEvent = 14783,
  TaskController = 14798,
  TaskPriorityChangeEvent = 14813,
  TaskSignal = 14837,
  TelemetryStopwatch = 14848,
  TestUtils = 14867,
  TestingDeprecatedInterface = 14877,
  Text = 14904,
  TextClause = 14909,
  TextDecoder = 14920,
  TextDecoderStream = 14932,
  TextEncoder = 14950,
  TextEncoderStream = 14962,
  TextMetrics = 14980,
  TextTrack = 14992,
  TextTrackCue = 15002,
  TextTrackCueList = 15015,
  TextTrackList = 15032,
  TimeEvent = 15046,
  TimeRanges = 15056,
  ToggleEvent = 15067,
  Touch = 15079,
  TouchEvent = 15085,
  TouchList = 15096,
  TrackEvent = 15106,
  TransformStream = 15117,
  TransformStreamDefaultController = 15133,
  TransitionEvent = 15166,
  TreeColumn = 15182,
  TreeColumns = 15193,
  TreeContentView = 15205,
  TreeWalker = 15221,
  TrustedHTML = 15232,
  TrustedScript = 15244,
  TrustedScriptURL = 15258,
  TrustedTypePolicy = 15275,
  TrustedTypePolicyFactory = 15293,
  UDPMessageEvent = 15318,
  UDPSocket = 15334,
  UIEvent = 15344,
  URL = 15352,
  URLSearchParams = 15356,
  URLSearchParams_Iterator = 15372,
  UniFFIPointer = 15397,
  UniFFIScaffolding = 15411,
  UserActivation = 15429,
  UserInteraction = 15444,
  UserProximityEvent = 15460,
  VRDisplay = 15479,
  VRDisplayCapabilities = 15489,
  VRDisplayEvent = 15511,
  VREyeParameters = 15526,
  VRFieldOfView = 15542,
  VRFrameData = 15556,
  VRMockController = 15568,
  VRMockDisplay = 15585,
  VRPose = 15599,
  VRServiceTest = 15606,
  VRStageParameters = 15620,
  VTTCue = 15638,
  VTTRegion = 15645,
  ValidityState = 15655,
  VideoColorSpace = 15669,
  VideoDecoder = 15685,
  VideoEncoder = 15698,
  VideoFrame = 15711,
  VideoPlaybackQuality = 15722,
  VideoTrack = 15743,
  VideoTrackList = 15754,
  VisualViewport = 15769,
  WEBGL_color_buffer_float = 15784,
  WEBGL_compressed_texture_astc = 15809,
  WEBGL_compressed_texture_etc = 15839,
  WEBGL_compressed_texture_etc1 = 15868,
  WEBGL_compressed_texture_pvrtc = 15898,
  WEBGL_compressed_texture_s3tc = 15929,
  WEBGL_compressed_texture_s3tc_srgb = 15959,
  WEBGL_debug_renderer_info = 15994,
  WEBGL_debug_shaders = 16020,
  WEBGL_depth_texture = 16040,
  WEBGL_draw_buffers = 16060,
  WEBGL_explicit_present = 16079,
  WEBGL_lose_context = 16102,
  WEBGL_provoking_vertex = 16121,
  WakeLock = 16144,
  WakeLockSentinel = 16153,
  WaveShaperNode = 16170,
  WebExtensionContentScript = 16185,
  WebExtensionPolicy = 16211,
  WebGL2RenderingContext = 16230,
  WebGLActiveInfo = 16253,
  WebGLBuffer = 16269,
  WebGLContextEvent = 16281,
  WebGLFramebuffer = 16299,
  WebGLProgram = 16316,
  WebGLQuery = 16329,
  WebGLRenderbuffer = 16340,
  WebGLRenderingContext = 16358,
  WebGLSampler = 16380,
  WebGLShader = 16393,
  WebGLShaderPrecisionFormat = 16405,
  WebGLSync = 16432,
  WebGLTexture = 16442,
  WebGLTransformFeedback = 16455,
  WebGLUniformLocation = 16478,
  WebGLVertexArrayObject = 16499,
  WebKitCSSMatrix = 16522,
  WebSocket = 16538,
  WebTransport = 16548,
  WebTransportBidirectionalStream = 16561,
  WebTransportDatagramDuplexStream = 16593,
  WebTransportError = 16626,
  WebTransportReceiveStream = 16644,
  WebTransportSendStream = 16670,
  WebrtcGlobalInformation = 16693,
  WheelEvent = 16717,
  Window = 16728,
  WindowClient = 16735,
  WindowContext = 16748,
  WindowGlobalChild = 16762,
  WindowGlobalParent = 16780,
  WindowRoot = 16799,
  Worker = 16810,
  WorkerDebuggerGlobalScope = 16817,
  WorkerGlobalScope = 16843,
  WorkerLocation = 16861,
  WorkerNavigator = 16876,
  WorkerTestUtils = 16892,
  Worklet = 16908,
  WorkletGlobalScope = 16916,
  WritableStream = 16935,
  WritableStreamDefaultController = 16950,
  WritableStreamDefaultWriter = 16982,
  XMLDocument = 17010,
  XMLHttpRequest = 17022,
  XMLHttpRequestEventTarget = 17037,
  XMLHttpRequestUpload = 17063,
  XMLSerializer = 17084,
  XPathEvaluator = 17098,
  XPathExpression = 17113,
  XPathResult = 17129,
  XRBoundedReferenceSpace = 17141,
  XRFrame = 17165,
  XRInputSource = 17173,
  XRInputSourceArray = 17187,
  XRInputSourceEvent = 17206,
  XRInputSourcesChangeEvent = 17225,
  XRPose = 17251,
  XRReferenceSpace = 17258,
  XRReferenceSpaceEvent = 17275,
  XRRenderState = 17297,
  XRRigidTransform = 17311,
  XRSession = 17328,
  XRSessionEvent = 17338,
  XRSpace = 17353,
  XRSystem = 17361,
  XRView = 17370,
  XRViewerPose = 17377,
  XRViewport = 17390,
  XRWebGLLayer = 17401,
  XSLTProcessor = 17414,
  XULCommandEvent = 17428,
  XULElement = 17444,
  XULFrameElement = 17455,
  XULMenuElement = 17471,
  XULPopupElement = 17486,
  XULResizerElement = 17502,
  XULTextElement = 17520,
  XULTreeElement = 17535,
  console = 17550,
  webkitSpeechGrammar = 17558,
  webkitSpeechGrammarList = 17578,
  webkitSpeechRecognition = 17602,
  webkitURL = 17626,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
